<?php

namespace Diamond\Domain\Menu\Contracts;


use Diamond\Domain\Site\Contracts\SiteGetterInterface;
use Repo\EntityInterface;

interface MenuEntityInterface extends EntityInterface, SiteGetterInterface
{

    public function getCountChildrens():int;

    public function setCountChildrens(int $c);

    /**
     * @return ?string
     */
    public function getTitle();
}